Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 717938 (CVE-2020-1751) - <sys-libs/glibc-2.30-r8 : Array overflow in backtrace functions for ppc (CVE-2020-1751)
Summary: <sys-libs/glibc-2.30-r8 : Array overflow in backtrace functions for ppc (CVE-...
Status: RESOLVED FIXED
Alias: CVE-2020-1751
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A3 [glsa+ cve]
Keywords:
Depends on: glibc-2.30-stable
Blocks:
  Show dependency tree
 
Reported: 2020-04-17 19:55 UTC by Sam James
Modified: 2020-06-13 01:05 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James gentoo-dev Security 2020-04-17 19:55:27 UTC
Description:
"An out-of-bounds write vulnerability was found in glibc before 2.31 when handling signal trampolines on PowerPC. Specifically, the backtrace function did not properly check the array bounds when storing the frame address, resulting in a denial of service or potential code execution. The highest threat from this vulnerability is to system availability."

Bug: https://sourceware.org/bugzilla/show_bug.cgi?id=25423
Patch (master): https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d93769405996dfc11d216ddbe415946617b5a494
Patch (2.30): https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=fb266e65ccf6fd674e05352ceb5f12d60889b92d
Patch (2.29): https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a318448f7aca169f7795d9d300c525d96f914af0
Patch (2.28): https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=0478174d1e2c2a894a35b1cdffc573dca310b438
Patch (2.26): https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=37db4539dd8b5c098d9235249c5d2aedaa67d7d1
Comment 1 Sam James gentoo-dev Security 2020-04-17 19:56:47 UTC
Marking this as [ebuild] until 2.30 is patched.
Comment 2 Andreas K. Hüttel gentoo-dev 2020-04-22 06:39:41 UTC
In gentoo/2.30 branch since patchset 7
Comment 3 Larry the Git Cow gentoo-dev 2020-05-04 18:37:34 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cce133930b2d85cd8bed66715857ccf550048bbd

commit cce133930b2d85cd8bed66715857ccf550048bbd
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2020-05-04 18:35:42 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2020-05-04 18:37:12 +0000

    package.mask: Update old glibc mask, now masking <2.30-r8
    
    Bug: https://bugs.gentoo.org/712726
    Bug: https://bugs.gentoo.org/677272
    Bug: https://bugs.gentoo.org/679044
    Bug: https://bugs.gentoo.org/711558
    Bug: https://bugs.gentoo.org/717938
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 profiles/package.mask | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 4 Yury German Gentoo Infrastructure gentoo-dev Security 2020-05-22 00:52:51 UTC
Arches and Maintainer(s), Thank you for your work.
Added to an existing GLSA Request.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2020-06-13 01:05:20 UTC
This issue was resolved and addressed in
 GLSA 202006-04 at https://security.gentoo.org/glsa/202006-04
by GLSA coordinator Aaron Bauman (b-man).